Bug 1009716 - Need a gluster command to add "option rpc-auth-allow-insecure on" in /etc/glusterfs/glusterd.vol file
Need a gluster command to add "option rpc-auth-allow-insecure on" in /etc/gl...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Lalatendu Mohanty
glusterd
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 21:31 EDT by Lalatendu Mohanty
Modified: 2018-04-01 01:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-01 01:02:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lalatendu Mohanty 2013-09-18 21:31:14 EDT
Description of problem:

Need a gluster command to add "option rpc-auth-allow-insecure on" in  /etc/glusterfs/glusterd.vol file for all rhs nodes

Currently we are suggesting customers to manually edit /etc/glusterfs/glusterd.vol file in each node to put "option rpc-auth-allow-insecure on" which be which is a difficult thing to do when we have more nodes e.g. 30 rhs nodes. 

There should be a gluster command which should do it, when executed from any one node.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Vivek Agarwal 2015-12-03 12:17:45 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.